Subject: Re: merging mingw and cygwin
From: Edward Peschko <[email-masked]>
To: Robert Collins <[email-masked]>
Cc: [email-masked]
Date: Sat, 11 Oct 2003 23:23:47 -0700

On Sun, Oct 12, 2003 at 03:35:02PM +1000, Robert Collins wrote:
> 
> For crying out loud.
> 
> Edward, there are plenty of archives and resources that detail how to
> achieve your stated goals. Right now you are making suggestions from a
> quite apparent position of ignorance. I urge you to research before you
> suggest fixing something that isn't broken. All the cygwin packages come
> with source that will build. The GPL issues are clearly documented on
> the FSF website - there is a FAQ on the GPL and how it applies to
> binaries and source. And so forth.

No, I think I get it alright now.

You don't want to use the LGPL because you want to dual license the software
that is cygwin; to make users choose whether or not to:

    a) fork over a licensing fee so they don't have to release *their* code.
    b) fork over *their* source code.

In other words, the same business model as qt... Its not about the open source
status of cygwin's code, its about the open source status of the end users' source
code.

And the reason that you don't want to use mingw32 and/or merge it, is because 
that doesn't allow you to follow this business model.

Like I said, if I use -mno-cygwin, am I still forced under the GPL to either license
your code or release it? Or does it still link with some redhat library?

> As for needing two dev environments, you been instructed how to use
> cygwin to compile to both, so I must conclude you are not actually
> trying to comprehend the emails, just arguing for the sake of it.

That is exactly my point. if cygwin can do both, and cygwin can create 
either native win32 executables or unix executables, then WHY ARE THERE 
TWO PROJECTS?

I'm not looking for 'instruction' on anything. I'm looking to avoid wasted
effort. If cygwin could natively make mingw32 code (cygwin -> mingw32) there 
would be no need for mingw32 and there would be an extra 30 developers
on cygwin. You agree with that, right?

And anyhow, cross compilation is a major pain in the ##%. I'd rather avoid
unless absolutely necessary.

Ed

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/